SET FOREIGN_KEY_CHECKS = 0;
CREATE DATABASE IF NOT EXISTS `quickestore`  CHARACTER SET latin1 COLLATE latin1_swedish_ci;
USE `quickestore`;  

DROP TABLE IF EXISTS `quickestore`.`Attributes`;
CREATE TABLE `quickestore`.`Attributes` (  `AttributeNum` VARCHAR(20) NULL,  `Attribute` VARCHAR(20) NULL,  `AttValues` LONGTEXT NULL)ENGINE = INNODB;

DROP TABLE IF EXISTS `quickestore`.`Categories`;
CREATE TABLE `quickestore`.`Categories` (  `CategoryID` INT(10) NULL,  `Category` VARCHAR(50) NULL,  `CatPic` VARCHAR(50) NULL,  INDEX `CategoryID` (`CategoryID`))ENGINE = INNODB;

DROP TABLE IF EXISTS `quickestore`.`Customers`;
CREATE TABLE `quickestore`.`Customers` (  `CustID` INT(10) NOT NULL AUTO_INCREMENT,  `CustFName` VARCHAR(150) NULL,  `CustLName` VARCHAR(75) NULL,  `CustPhone` VARCHAR(50) NULL,  `CustEMail` VARCHAR(50) NULL,  `CustAddress1` VARCHAR(50) NULL,  `CustAddress2` VARCHAR(50) NULL,  `CustCity` VARCHAR(50) NULL,  `CustState` VARCHAR(50) NULL,  `CustZip` VARCHAR(20) NULL,  `CustCountry` VARCHAR(50) NULL,  `LastOrderID` INT(10) NULL,  `LastOrderDate` DATETIME NULL,  `LastOrderAmt` INT(10) NULL,  `CCName` VARCHAR(50) NULL,  `CCType` VARCHAR(50) NULL,  `CCNum` VARCHAR(50) NULL,  `CCExpires` VARCHAR(50) NULL,  `CustPWord` VARCHAR(15) NULL,  PRIMARY KEY (`CustID`),  INDEX `CCNum` (`CCNum`),  INDEX `CustID` (`CustID`),  INDEX `LastOrderID` (`LastOrderID`))ENGINE = INNODB;

DROP TABLE IF EXISTS `quickestore`.`cz_cal`;
CREATE TABLE `quickestore`.`cz_cal` (  `RangeStart` VARCHAR(4) NULL,  `RangeStop` VARCHAR(4) NULL,  `Zone` VARCHAR(4) NULL,  INDEX `RangeStart` (`RangeStart`))ENGINE = INNODB;

DROP TABLE IF EXISTS `quickestore`.`OrderHist`;CREATE TABLE `quickestore`.`OrderHist` (  `OrderNum` DOUBLE(15, 5) NULL,  `CustID` INT(10) NULL,  `ItemID` INT(10) NULL,  `SKU` VARCHAR(50) NULL,  `Quantity` INT(10) NULL,  `ItemTotal` DOUBLE(7, 2) NULL,  `TotItemWeight` DOUBLE(7, 2) NULL,  `Att1` VARCHAR(20) NULL,  `Att2` VARCHAR(20) NULL,  `Status` VARCHAR(50) NULL,  INDEX `CustID` (`CustID`),  INDEX `ItemID` (`SKU`),  INDEX `ItemID1` (`ItemID`),  INDEX `OrderID` (`OrderNum`))ENGINE = INNODB;

DROP TABLE IF EXISTS `quickestore`.`Orders`;CREATE TABLE `quickestore`.`Orders` (  `OrderID` DOUBLE(15, 5) NULL,  `ItemID` DOUBLE(7, 2) NULL,  `Quantity` INT(10) NULL,  `ItemTotal` DOUBLE(7, 2) NULL,  `TotItemWeight` DOUBLE(7, 2) NULL,  `Expires` DATETIME NULL,  `Att1` VARCHAR(50) NULL,  `Att2` VARCHAR(50) NULL,  INDEX `ItemID` (`ItemID`),  INDEX `OrderID` (`OrderID`))ENGINE = INNODB;

DROP TABLE IF EXISTS `quickestore`.`OrdHistDetail`;CREATE TABLE `quickestore`.`OrdHistDetail` (  `OrderNum` DOUBLE(15, 5) NOT NULL,  `CustID` INT(10) NULL,  `GrandTotal` DOUBLE(15, 5) NULL,  `Shipping` DOUBLE(15, 5) NULL,  `SalesTax` DOUBLE(15, 5) NULL,  `OrderDate` DATETIME NULL,  `CustEMail` VARCHAR(75) NULL,  `Notes` LONGTEXT NULL,  `ShipDate` DATETIME NULL,  `ShipMethod` VARCHAR(75) NULL,  `ShipName` VARCHAR(150) NULL,  `ShipAddress` VARCHAR(150) NULL,  `ShipCity` VARCHAR(150) NULL,  `ShipState` VARCHAR(50) NULL,  `ShipZip` VARCHAR(20) NULL, `AddressStatus` VARCHAR(50) NULL, `Comments` VARCHAR(250) NULL,  PRIMARY KEY (`OrderNum`),  INDEX `CustID` (`CustID`),  INDEX `OrderNum` (`OrderNum`))ENGINE = INNODB;

DROP TABLE IF EXISTS `quickestore`.`Params`;CREATE TABLE `quickestore`.`Params` (  `storename` VARCHAR(175) NULL,  `template` VARCHAR(15) NULL,  `password` VARCHAR(20) NULL,  `processor` VARCHAR(20) NULL,  `partner` VARCHAR(50) NULL,  `vendor` VARCHAR(50) NULL,  `loginid` VARCHAR(50) NULL,  `paypassword` VARCHAR(50) NULL,  `certpath` VARCHAR(50) NULL,  `type` VARCHAR(25) NULL,  `ccards` VARCHAR(250) NULL,  `testmode` VARCHAR(5) NULL,  `inv_description` VARCHAR(150) NULL,  `store_path` VARCHAR(150) NULL,  `store_url` VARCHAR(150) NULL,  `secure_url` VARCHAR(150) NULL,  `order_path` VARCHAR(150) NULL,  `order_url` VARCHAR(150) NULL,  `orderaction` VARCHAR(25) NULL,  `notifyemail` VARCHAR(175) NULL,  `db` VARCHAR(10) NULL,  `graphic` VARCHAR(50) NULL,  `shipmethod` VARCHAR(50) NULL,  `selfservice` VARCHAR(10) NULL,  `offerpaypal` VARCHAR(10) NULL,  `paypalonly` VARCHAR(50) NULL, `ppec` VARCHAR(10) NULL,  `cffileenabled` VARCHAR(3) NULL,  `csistorename` VARCHAR(15) NULL,  `storefax` VARCHAR(16) NULL,  `storeaddy` VARCHAR(50) NULL,  `storecity` VARCHAR(50) NULL,  `storestate` VARCHAR(50) NULL,  `storezip` VARCHAR(18) NULL,  `avs` VARCHAR(1) NULL,  `cvv` VARCHAR(1) NULL,   `PPEC_API_UserName` VARCHAR(150) NULL,   `PPEC_API_Password` VARCHAR(150) NULL, `mailserver` VARCHAR(50) NULL, `mailuser` VARCHAR(50) NULL, `mailpass` VARCHAR(50) NULL, `allowcustomercomments` VARCHAR(10) NULL, `comments_label` VARCHAR(150) NULL  )ENGINE = INNODB;

DROP TABLE IF EXISTS `quickestore`.`ProdPics`;CREATE TABLE `quickestore`.`ProdPics` (  `ItemID` INT(10) NOT NULL,  `ItemPic` VARCHAR(50) NULL,  `Thumbnail` VARCHAR(50) NULL,  PRIMARY KEY (`ItemID`),  INDEX `ItemID` (`ItemID`))ENGINE = INNODB;

DROP TABLE IF EXISTS `quickestore`.`Products`;CREATE TABLE `quickestore`.`Products` (  `ItemID` INT(10) NOT NULL AUTO_INCREMENT,  `SKU` VARCHAR(20) NULL,  `ItemName` VARCHAR(50) NULL,  `CategoryID` INT(10) NULL,  `SubCatID` INT(10) NULL,  `Description` LONGTEXT NULL,  `Price` DOUBLE(7, 2) NULL,  `MSRP` DECIMAL(19, 4) NULL,  `DiscAmt` DOUBLE(15, 5) NULL,  `DiscIsPct` TINYINT(1) NOT NULL,  `DiscTrigger` INT(10) NULL,  `Weight` DOUBLE(7, 2) NULL,  `A1` VARCHAR(50) NULL,  `A1Vals` LONGTEXT NULL,  `A2` VARCHAR(50) NULL,  `A2Vals` LONGTEXT NULL,  `Units` VARCHAR(50) NULL,  `Layout` VARCHAR(5) NULL,  `Qty_In_Stock` INT(10) NULL,  `Safety_Stock` INT(10) NULL,  `Taxable` TINYINT(1) NOT NULL,  `Shipable` TINYINT(1) NOT NULL,  `Show_Inventory` TINYINT(1) NOT NULL,  `New` TINYINT(1) NOT NULL,  PRIMARY KEY (`ItemID`),  INDEX `ItemID` (`ItemID`),  INDEX `ProductsCategoryID` (`CategoryID`),  INDEX `SubCatID` (`SubCatID`))ENGINE = INNODB;

DROP TABLE IF EXISTS `quickestore`.`SalesTax`;CREATE TABLE `quickestore`.`SalesTax` (  `State` VARCHAR(50) NULL,  `Rate` DOUBLE(7, 2) NULL)ENGINE = INNODB;

DROP TABLE IF EXISTS `quickestore`.`ShipOptions`;CREATE TABLE `quickestore`.`ShipOptions` (  `OptID` DOUBLE(15, 5) NOT NULL,  `Option_` VARCHAR(150) NULL,  `OptRate` DOUBLE(15, 5) NULL,  PRIMARY KEY (`OptID`))ENGINE = INNODB;

DROP TABLE IF EXISTS `quickestore`.`Shipping`;CREATE TABLE `quickestore`.`Shipping` (  `shiplimit` DOUBLE(7, 2) NULL,  `shipfee` DOUBLE(7, 2) NULL)ENGINE = INNODB;

DROP TABLE IF EXISTS `quickestore`.`States`;CREATE TABLE `quickestore`.`States` (  `State` VARCHAR(50) NULL,  `Abbreviation` VARCHAR(8) NULL)ENGINE = INNODB;

DROP TABLE IF EXISTS `quickestore`.`SubCats`;CREATE TABLE `quickestore`.`SubCats` (  `SubCatID` INT(10) NULL,  `SubCat` VARCHAR(150) NULL,  `TopCatID` INT(10) NULL,  `SubCatPic` VARCHAR(150) NULL,  INDEX `SubCatID` (`SubCatID`),  INDEX `TopCatID` (`TopCatID`))ENGINE = INNODB;

DROP TABLE IF EXISTS `quickestore`.`UPS_1da`;CREATE TABLE `quickestore`.`UPS_1da` (  `Weight` INT(10) NOT NULL,  `Zone102` DECIMAL(19, 4) NULL,  `Zone103` DECIMAL(19, 4) NULL,  `Zone104` DECIMAL(19, 4) NULL,  `Zone105` DECIMAL(19, 4) NULL,  `Zone106` DECIMAL(19, 4) NULL,  `Zone107` DECIMAL(19, 4) NULL,  `Zone108` DECIMAL(19, 4) NULL,  `Zone124` DECIMAL(19, 4) NULL,  `Zone125` DECIMAL(19, 4) NULL,  `Zone126` DECIMAL(19, 4) NULL,  PRIMARY KEY (`Weight`))ENGINE = INNODB;

DROP TABLE IF EXISTS `quickestore`.`UPS_1dasaver`;CREATE TABLE `quickestore`.`UPS_1dasaver` (  `Weight` INT(10) NOT NULL,  `Zone132` DECIMAL(19, 4) NULL,  `Zone133` DECIMAL(19, 4) NULL,  `Zone134` DECIMAL(19, 4) NULL,  `Zone135` DECIMAL(19, 4) NULL,  `Zone136` DECIMAL(19, 4) NULL,  `Zone137` DECIMAL(19, 4) NULL,  `Zone138` DECIMAL(19, 4) NULL,  PRIMARY KEY (`Weight`))ENGINE = INNODB;

DROP TABLE IF EXISTS `quickestore`.`UPS_2da`;CREATE TABLE `quickestore`.`UPS_2da` (  `Weight` INT(10) NOT NULL,  `Zone202` DECIMAL(19, 4) NULL,  `Zone203` DECIMAL(19, 4) NULL,  `Zone204` DECIMAL(19, 4) NULL,  `Zone205` DECIMAL(19, 4) NULL,  `Zone206` DECIMAL(19, 4) NULL,  `Zone207` DECIMAL(19, 4) NULL,  `Zone208` DECIMAL(19, 4) NULL,  `Zone224` DECIMAL(19, 4) NULL,  `Zone225` DECIMAL(19, 4) NULL,  `Zone226` DECIMAL(19, 4) NULL,  PRIMARY KEY (`Weight`))ENGINE = INNODB;

DROP TABLE IF EXISTS `quickestore`.`UPS_2dam`;CREATE TABLE `quickestore`.`UPS_2dam` (  `Weight` INT(10) NOT NULL,  `Zone242` DECIMAL(19, 4) NULL,  `Zone243` DECIMAL(19, 4) NULL,  `Zone244` DECIMAL(19, 4) NULL,  `Zone245` DECIMAL(19, 4) NULL,  `Zone246` DECIMAL(19, 4) NULL,  `Zone247` DECIMAL(19, 4) NULL,  `Zone248` DECIMAL(19, 4) NULL,  PRIMARY KEY (`Weight`))ENGINE = INNODB;

DROP TABLE IF EXISTS `quickestore`.`UPS_3dscomm`;CREATE TABLE `quickestore`.`UPS_3dscomm` (  `Weight` INT(10) NOT NULL,  `Zone302` DECIMAL(19, 4) NULL,  `Zone303` DECIMAL(19, 4) NULL,  `Zone304` DECIMAL(19, 4) NULL,  `Zone305` DECIMAL(19, 4) NULL,  `Zone306` DECIMAL(19, 4) NULL,  `Zone307` DECIMAL(19, 4) NULL,  `Zone308` DECIMAL(19, 4) NULL,  PRIMARY KEY (`Weight`))ENGINE = INNODB;

DROP TABLE IF EXISTS `quickestore`.`UPS_Alaska`;CREATE TABLE `quickestore`.`UPS_Alaska` (  `ZIP` INT(10) NOT NULL,  `NextDay` INT(10) NULL,  `SecondDay` INT(10) NULL,  PRIMARY KEY (`ZIP`))ENGINE = INNODB;

DROP TABLE IF EXISTS `quickestore`.`UPS_Canstd`;CREATE TABLE `quickestore`.`UPS_Canstd` (  `Weight` INT(10) NOT NULL,  `Zone51` DECIMAL(19, 4) NULL,  `Zone52` DECIMAL(19, 4) NULL,  `Zone53` DECIMAL(19, 4) NULL,  `Zone54` DECIMAL(19, 4) NULL,  `Zone55` DECIMAL(19, 4) NULL,  `Zone56` DECIMAL(19, 4) NULL,  PRIMARY KEY (`Weight`))ENGINE = INNODB;

DROP TABLE IF EXISTS `quickestore`.`UPS_DefaultCharges`;CREATE TABLE `quickestore`.`UPS_DefaultCharges` (  `id` INT(10) NOT NULL AUTO_INCREMENT,  `FuelCharge` VARCHAR(10) NULL,  `NDAResCharge` VARCHAR(10) NULL,  `NDAResDASCharge` VARCHAR(10) NULL,  `NDAComDASCharge` VARCHAR(10) NULL,  `NDAEAMCharge` VARCHAR(10) NULL,  `TwoDayAMDASCharge` VARCHAR(10) NULL,  `TwoDayResCharge` VARCHAR(10) NULL,  `TwoDayResDASCharge` VARCHAR(10) NULL,  `TwoDayComDASCharge` VARCHAR(10) NULL,  `ThreeDayResCharge` VARCHAR(10) NULL,  `ThreeDayResDASCharge` VARCHAR(10) NULL,  `ThreeDayComDASCharge` VARCHAR(10) NULL,  `GndResDASCharge` VARCHAR(10) NULL,  `GndComDASCharge` VARCHAR(10) NULL,  `ExpressPlus` VARCHAR(10) NULL,  `WW_EAS_Rate` VARCHAR(10) NULL,  `WW_EAS_Min` VARCHAR(10) NULL,  PRIMARY KEY (`id`),  INDEX `id` (`id`))ENGINE = INNODB;

DROP TABLE IF EXISTS `quickestore`.`UPS_Gndcomm`;CREATE TABLE `quickestore`.`UPS_Gndcomm` (  `Weight` INT(10) NOT NULL,  `Zone2` DECIMAL(19, 4) NULL,  `Zone3` DECIMAL(19, 4) NULL,  `Zone4` DECIMAL(19, 4) NULL,  `Zone5` DECIMAL(19, 4) NULL,  `Zone6` DECIMAL(19, 4) NULL,  `Zone7` DECIMAL(19, 4) NULL,  `Zone8` DECIMAL(19, 4) NULL,  PRIMARY KEY (`Weight`))ENGINE = INNODB;

DROP TABLE IF EXISTS `quickestore`.`UPS_Gndres`;CREATE TABLE `quickestore`.`UPS_Gndres` (  `Weight` INT(10) NOT NULL,  `Zone2` DECIMAL(19, 4) NULL,  `Zone3` DECIMAL(19, 4) NULL,  `Zone4` DECIMAL(19, 4) NULL,  `Zone5` DECIMAL(19, 4) NULL,  `Zone6` DECIMAL(19, 4) NULL,  `Zone7` DECIMAL(19, 4) NULL,  `Zone8` DECIMAL(19, 4) NULL,  PRIMARY KEY (`Weight`))ENGINE = INNODB;

DROP TABLE IF EXISTS `quickestore`.`UPS_Hawaii`;CREATE TABLE `quickestore`.`UPS_Hawaii` (  `ZIP` INT(10) NOT NULL,  `NextDay` INT(10) NULL,  `SecondDay` INT(10) NULL,  PRIMARY KEY (`ZIP`))ENGINE = INNODB;

DROP TABLE IF EXISTS `quickestore`.`UPS_WW_CanadaZones`;CREATE TABLE `quickestore`.`UPS_WW_CanadaZones` (  `ID` INT(10) NOT NULL AUTO_INCREMENT,  `RangeStart` VARCHAR(255) NULL,  `RangeStop` VARCHAR(255) NULL,  `Express` INT(10) NULL,  `Expedited` INT(10) NULL,  `EAS` VARCHAR(255) NULL,  PRIMARY KEY (`ID`))ENGINE = INNODB;

DROP TABLE IF EXISTS `quickestore`.`UPS_WW_Xarea`;CREATE TABLE `quickestore`.`UPS_WW_Xarea` (  `ID` INT(10) NOT NULL AUTO_INCREMENT,  `Country` VARCHAR(255) NULL,  `PostalCodes` VARCHAR(255) NULL,  `Cities` VARCHAR(255) NULL,  `Surcharge` VARCHAR(255) NULL,  PRIMARY KEY (`ID`),  INDEX `Country` (`Country`))ENGINE = INNODB;

DROP TABLE IF EXISTS `quickestore`.`UPS_WW_XPD`;CREATE TABLE `quickestore`.`UPS_WW_XPD` (  `ID` INT(10) NOT NULL AUTO_INCREMENT,  `Weight` INT(10) NULL,  `Zone71` DECIMAL(19, 4) NULL,  `Zone72` DECIMAL(19, 4) NULL,  `Zone74` DECIMAL(19, 4) NULL,  `Zone601` DECIMAL(19, 4) NULL,  `Zone602` DECIMAL(19, 4) NULL,  `Zone603` DECIMAL(19, 4) NULL,  `Zone604` DECIMAL(19, 4) NULL,  `Zone605` DECIMAL(19, 4) NULL,  `Zone606` DECIMAL(19, 4) NULL,  `Zone607` DECIMAL(19, 4) NULL,  `Zone608` DECIMAL(19, 4) NULL,  `Zone609` DECIMAL(19, 4) NULL,  `Zone610` DECIMAL(19, 4) NULL,  PRIMARY KEY (`ID`),  INDEX `Weight` (`Weight`))ENGINE = INNODB;

DROP TABLE IF EXISTS `quickestore`.`UPS_WW_XPR`;CREATE TABLE `quickestore`.`UPS_WW_XPR` (  `ID` INT(10) NOT NULL AUTO_INCREMENT,  `Weight` INT(10) NULL,  `Zone80` DECIMAL(19, 4) NULL,  `Zone81` DECIMAL(19, 4) NULL,  `Zone82` DECIMAL(19, 4) NULL,  `Zone84` DECIMAL(19, 4) NULL,  `Zone900` DECIMAL(19, 4) NULL,  `Zone901` DECIMAL(19, 4) NULL,  `Zone902` DECIMAL(19, 4) NULL,  `Zone903` DECIMAL(19, 4) NULL,  `Zone904` DECIMAL(19, 4) NULL,  `Zone905` DECIMAL(19, 4) NULL,  `Zone906` DECIMAL(19, 4) NULL,  `Zone907` DECIMAL(19, 4) NULL,  `Zone908` DECIMAL(19, 4) NULL,  PRIMARY KEY (`ID`),  INDEX `Weight` (`Weight`))ENGINE = INNODB;

DROP TABLE IF EXISTS `quickestore`.`UPS_WW_Zones`;CREATE TABLE `quickestore`.`UPS_WW_Zones` (  `ID` INT(10) NOT NULL AUTO_INCREMENT,  `Country` VARCHAR(255) NULL,  `WWXPRP` VARCHAR(5) NULL,  `WWXPR` VARCHAR(5) NULL,  `WWXPRDade` VARCHAR(5) NULL,  `WWXPDWest` VARCHAR(5) NULL,  `WWXPDEast` VARCHAR(5) NULL,  `XArea` VARCHAR(5) NULL,  PRIMARY KEY (`ID`),  INDEX `Country` (`Country`))ENGINE = INNODB;

DROP TABLE IF EXISTS `quickestore`.`UPS_XArea`;CREATE TABLE `quickestore`.`UPS_XArea` (  `ZIP` VARCHAR(5) NULL,  UNIQUE INDEX `ZIP` (`ZIP`))ENGINE = INNODB;SET FOREIGN_KEY_CHECKS = 1; 