
<!--- 
Grab the appropriate weight record.  At the present time only zones 81, 82,
901 and 903 are eligible for express plus service.  Also, there is no reason to 
differentiate between the regular Express zones and those of  Dade and Broward 
Counties, Florida. However this is subject to change and will have to be 
watched for when the next set of rates come out 
--->
<cfquery 
	datasource="#attributes.SiteDSN#" 
	name="RateGrab" 
	maxrows="1"
	username="#request.UPSRUName#" 
	password="#request.UPSRPWD#">
	SELECT
		ups_ww_xpr.Weight,
		ups_ww_xpr.Zone80,
		ups_ww_xpr.Zone81,
		ups_ww_xpr.Zone82,
		ups_ww_xpr.Zone84,
		ups_ww_xpr.Zone901,
		ups_ww_xpr.Zone903
	FROM ups_ww_xpr
	WHERE 
		ups_ww_xpr.Weight<=
		<cfqueryparam cfsqltype="CF_SQL_NUMERIC" value="#attributes.ShipWeight#">
	ORDER BY 
		ups_ww_xpr.Weight DESC
</cfquery>
<!--- 
Now that we have the weight record, apply the appropriate zone charge.  
If the zone isn't found, return an error. 
--->
<cfswitch expression="#ZoneGrab.WWXPRP#">
	<cfcase value="80"><cfset caller.ups_Charge=RateGrab.Zone80></cfcase>
	<cfcase value="81"><cfset caller.ups_Charge=RateGrab.Zone81></cfcase>
	<cfcase value="82"><cfset caller.ups_Charge=RateGrab.Zone82></cfcase>
	<cfcase value="84"><cfset caller.ups_Charge=RateGrab.Zone84></cfcase>
	<cfcase value="901"><cfset caller.ups_Charge=RateGrab.Zone901></cfcase>
	<cfcase value="903"><cfset caller.ups_Charge=RateGrab.Zone903></cfcase>
	<cfdefaultcase>
		<cfset caller.ups_Error="That service is unavailable in the destination area (Zone record not found). Please try a different plan">
	</cfdefaultcase>
</cfswitch>
<!--- 
Now that we've pulled the express rate, lets add the $40 Express Plus charge 
--->
<cfset caller.ups_Charge=caller.ups_Charge + attributes.ExPlusCharge>