CREATE TABLE [dbo].[Attributes] (
	[AttributeNum] [varchar] (20) NOT NULL ,
	[Attribute] [varchar] (20) NULL ,
	[AttValues] [text] NULL 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO

CREATE TABLE [dbo].[Categories] (
	[CategoryID] [int] NOT NULL ,
	[Category] [varchar] (50) NULL,
	[CatPic] [varchar] (50) NULL  
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[Customers] (
	[CustID] [int] IDENTITY (1, 1),
	[CustFName] [varchar] (35) NOT NULL ,
	[CustLName] [varchar] (75) NOT NULL ,
	[CustPhone] [varchar] (50) NULL ,
	[CustEMail] [varchar] (50) NULL ,
	[CustAddress1] [varchar] (50) NULL ,
	[CustAddress2] [varchar] (50) NULL ,
	[CustCity] [varchar] (50) NULL ,
	[CustState] [varchar] (50) NULL ,
	[CustZip] [varchar] (20) NULL ,
	[CustCountry] [varchar] (50) NULL ,
	[LastOrderID] [int] NULL ,
	[LastOrderDate] [datetime] NULL ,
	[LastOrderAmt] [real] NULL ,
	[CCName] [varchar] (50) NULL ,
	[CCType] [varchar] (50) NULL ,
	[CCNum] [varchar] (50) NULL ,
	[CCExpires] [varchar] (50) NULL ,
	[CustPWord] [varchar] (15) NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[OrderHist] (
	[OrderNum] [int] NOT NULL ,
	[CustID] [int] NOT NULL ,
	[ItemID] [int] NULL ,
	[SKU] [varchar] (50) NULL ,
	[Quantity] [int] NULL ,
	[ItemTotal] [real] NULL ,
	[TotItemWeight] [real] NULL ,
	[Att1] [varchar] (20) NULL ,
	[Att2] [varchar] (20) NULL ,
	[Status] [varchar] (50) NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[Orders] (
	[OrderID] [int] NOT NULL ,
	[ItemID] [real] NULL ,
	[Quantity] [int] NULL ,
	[ItemTotal] [real] NULL ,
	[TotItemWeight] [real] NULL ,
	[Expires] [datetime] NULL ,
	[Att1] [varchar] (50) NULL ,
	[Att2] [varchar] (50) NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[OrdHistDetail] (
	[OrderNum] [int] NOT NULL ,
	[CustID] [int] NOT NULL ,
	[GrandTotal] [float] NULL ,
	[Shipping] [float] NULL ,
	[SalesTax] [float] NULL ,
	[OrderDate] [datetime] NULL ,
	[CustEMail] [varchar] (75) NULL ,
	[Notes] [text] NULL ,
	[ShipDate] [datetime] NULL ,
	[ShipMethod] [varchar] (75) NULL ,
	[ShipName] [varchar] (50) NULL,
	[ShipAddress] [varchar] (50) NULL,
	[ShipCity] [varchar] (50) NULL,
	[ShipState] [varchar] (25) NULL,
	[ShipZip] [varchar] (12) NULL,
	[upsize_ts] [timestamp] NULL,
	[AddressStatus] [varchar] (50) NULL
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO

CREATE TABLE [dbo].[Params] (
	[storename] [varchar] (50) NULL ,
	[template] [varchar] (15) NULL ,
	[password] [varchar] (20) NULL ,
	[processor] [varchar] (20) NULL ,
	[partner] [varchar] (50) NULL ,
	[vendor] [varchar] (50) NULL ,
	[loginid] [varchar] (50) NULL ,
	[paypassword] [varchar] (50) NULL ,
	[certpath] [varchar] (50) NULL ,
	[type] [varchar] (10) NULL ,
	[ccards] [varchar] (250) NULL ,
	[testmode] [varchar] (5) NULL ,
	[inv_description] [varchar] (150) NULL ,
	[store_path] [varchar] (150) NULL ,
	[store_url] [varchar] (150) NULL ,
	[secure_url] [varchar] (150) NULL ,
	[order_path] [varchar] (150) NULL ,
	[order_url] [varchar] (150) NULL ,
	[orderaction] [varchar] (25) NULL ,
	[notifyemail] [varchar] (70) NULL ,
	[db] [varchar] (10) NULL ,
	[graphic] [varchar] (50) NULL ,
	[shipmethod] [varchar] (50) NULL ,
	[selfservice] [varchar] (10) NULL ,
	[offerpaypal] [varchar] (10) NULL ,
	[paypalonly] [varchar] (10) NULL ,
	[ppec] [varchar] (10) NULL ,
	[cffileenabled] [varchar] (3) NULL,
	[csistorename] [varchar] (15),
	[storefax] [varchar] (18),
	[storeaddy] [varchar] (50),
	[storecity] [varchar] (50),
	[storestate] [varchar] (25),
	[storezip] [varchar] (12),
	[avs] [varchar] (1) NULL ,
	[cvv] [varchar] (1) NULL ,
	[PPEC_API_UserName] [varchar] (150) NULL ,
	[PPEC_API_Password] [varchar] (150) NULL ,
	[PPEC_API_Signature] [varchar] (150) NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[ProdPics] (
	[ItemID] [int] NOT NULL ,
	[ItemPic] [varchar] (50) ,
	[Thumbnail] [varchar] (50)   
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[Products] (
	[ItemID] [int] NOT NULL ,
	[SKU] [varchar] (20) NULL ,
	[ItemName] [varchar] (50) NULL ,
	[CategoryID] [int] NULL ,
	[SubCatID] [int] NULL ,
	[Description] [varchar] (255) NULL ,
	[Price] [real] NULL ,
	[MSRP] [real] NULL,
	[DiscAmt] [real] NULL,
	[DiscIsPct] [bit] NOT NULL, 
	[DiscTrigger] [int] NULL, 
	[Weight] [real] NULL ,
	[A1] [varchar] (50) NULL ,
	[A1Vals] [varchar] (255) NULL ,
	[A2] [varchar] (50) NULL ,
	[A2Vals] [varchar] (255) NULL ,
	[Units] [varchar] (25) NULL ,
	[Layout] [varchar] (10) NULL ,
	[Qty_In_Stock] [numeric](18, 0) NULL ,
	[Safety_Stock] [numeric](18, 0) NULL ,
	[Taxable] [bit] NOT NULL ,
	[Shipable] [bit] NOT NULL, 
	[Show_Inventory] [bit] NOT NULL ,
	[New] [bit] NULL  
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[SalesTax] (
	[State] [varchar] (50) NULL ,
	[Rate] [real] NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[ShipOptions] (
	[OptID] [float] NOT NULL ,
	[Option_] [varchar] (150) NULL ,
	[OptRate] [float] NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[Shipping] (
	[shiplimit] [real] NULL ,
	[shipfee] [real] NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[SubCats] (
	[SubCatID] [int] IDENTITY (1, 1) NOT NULL ,
	[SubCat] [varchar] (20) NOT NULL ,
	[TopCatID] [int] NOT NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[States] (
	[State] [varchar] (50),
	[Abbreviation] [varchar] (8) 
) ON [PRIMARY]
GO

ALTER TABLE [dbo].[Categories] WITH NOCHECK ADD 
	CONSTRAINT [PK_Categories] PRIMARY KEY  NONCLUSTERED 
	(
		[CategoryID]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[Customers] WITH NOCHECK ADD 
	CONSTRAINT [PK_Customers] PRIMARY KEY  NONCLUSTERED 
	(
		[CustID]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[ProdPics] WITH NOCHECK ADD 
	CONSTRAINT [PK_ProdPics] PRIMARY KEY  NONCLUSTERED 
	(
		[ItemID]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[Products] WITH NOCHECK ADD 
	CONSTRAINT [DF_Products_Taxable] DEFAULT (1) FOR [Taxable],
	CONSTRAINT [DF_Products_Shipable] DEFAULT (1) FOR [Shipable],
	CONSTRAINT [PK_Products] PRIMARY KEY  NONCLUSTERED 
	(
		[ItemID]
	)  ON [PRIMARY] 
GO

INSERT INTO [dbo].[Categories] (CategoryID, Category) 
VALUES (1, 'Dummy')



